<?php
/**
 * Auto registration
 *
 * @since      	1.0
 */
defined( 'WPINC' ) || exit;

function dodebug_autoload( $cls )
{
	if ( strpos( $cls, 'dodebug' ) !== 0 ) {
		return;
	}

	$file = explode( '\\', $cls );
	array_shift( $file );
	$file = implode( '/', $file );
	$file = str_replace( '_', '-', strtolower( $file ) );

	if ( strpos( $file, 'lib/' ) === 0 || strpos( $file, 'cli/' ) === 0 || strpos( $file, 'thirdparty/' ) === 0 ) {
		$file = DODEBUG_DIR . $file . '.cls.php';
	}
	else {
		$file = DODEBUG_DIR . 'src/' . $file . '.cls.php';
	}

	if ( file_exists( $file ) ) {
		require_once $file;
	}
}

spl_autoload_register( 'dodebug_autoload' );

